## visad
Class ThingImpl.RemotePair

    java.lang.Object
      visad.ThingImpl.RemotePair

Enclosing class:
  ThingImpl

class ThingImpl.RemotePair
extends Object

Field Summary
`(package private) RemoteThing` `data`
`(package private) RemoteThingReference` `ref`

Constructor Summary
`(package private)` `ThingImpl.RemotePair(RemoteThingReference r, RemoteThing d)`

Method Summary
`boolean` `equals(Object pair)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    RemoteThingReference ref

### data

    RemoteThing data

Constructor Detail

### ThingImpl.RemotePair

    ThingImpl.RemotePair(RemoteThingReference r,
                         RemoteThing d)
                   throws ReferenceException

Method Detail

### equals

    public boolean equals(Object pair)